package abacus.springboot.example.api.view;

import java.util.List;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "稽查收货明细" , name = "ApiReqJcBillItem")
public class ApiReqJcBillItem {

	@Schema(description = "明细序号", required = false, pattern = "修改时必填", example = "2")
	private Long id;
	
	@Schema(description = "行号", required = false, pattern = "修改时必填", example = "2")
	private int indexno;
	
	@Schema(description = "收货来源", required = false, example = "线下")
	private String recsource;
	
	@Schema(description = "收货平台", required = false, example = "")
	private String recplatform;
	
	@Schema(description = "收货渠道", required = false, example = "XXX烟酒店")
	private String channel;
	
	@Schema(description = "收货单价", required = false, example = "100")
	private Double price;	
	
	@Schema(description = "收货数量", required = false, example = "10")
	private Double quantity;
	
	@Schema(description = "收货件数", required = false, example = "1")
	private Double numbers;
	
	@Schema(description = "收货金额", required = false, example = "1000")
	private Double subtotal;
	
	@Schema(description = "付款图片", required = false, pattern = "这是个JSON数组，不是JSONArray对象", example = "[\"44444\",\"aaaaa\"]")
	private List<String> paymentPhoto;
	
	@Schema(description = "货品图片", required = false,  pattern = "", example = "")
	private List<ApiReqJcBillGoodsPhoto> goodsPhotos;

	public List<ApiReqJcBillGoodsPhoto> getGoodsPhotos() {
		return goodsPhotos;
	}

	public void setGoodsPhotos(List<ApiReqJcBillGoodsPhoto> goodsPhotos) {
		this.goodsPhotos = goodsPhotos;
	}

	public int getIndexno() {
		return indexno;
	}

	public void setIndexno(int indexno) {
		this.indexno = indexno;
	}

	public String getRecplatform() {
		return recplatform;
	}

	public void setRecplatform(String recplatform) {
		this.recplatform = recplatform;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getRecsource() {
		return recsource;
	}

	public void setRecsource(String recsource) {
		this.recsource = recsource;
	}

	public String getChannel() {
		return channel;
	}

	public void setChannel(String channel) {
		this.channel = channel;
	}

	public Double getPrice() {
		return price;
	}

	public void setPrice(Double price) {
		this.price = price;
	}

	public Double getQuantity() {
		return quantity;
	}

	public void setQuantity(Double quantity) {
		this.quantity = quantity;
	}

	public Double getNumbers() {
		return numbers;
	}

	public void setNumbers(Double numbers) {
		this.numbers = numbers;
	}

	public Double getSubtotal() {
		return subtotal;
	}

	public void setSubtotal(Double subtotal) {
		this.subtotal = subtotal;
	}

	public List<String> getPaymentPhoto() {
		return paymentPhoto;
	}

	public void setPaymentPhoto(List<String> paymentPhoto) {
		this.paymentPhoto = paymentPhoto;
	}
}
